# frozen_string_literal: true

module MigrationTimeouts
  module MigrationExtensions
    attr_accessor(
      :lock_timeout_disabled,
      :statement_timeout_disabled,
      :lock_timeout_override,
      :statement_timeout_override,
    )

    def disable_lock_timeout!
      self.lock_timeout_disabled = true
    end

    def disable_statement_timeout!
      self.statement_timeout_disabled = true
    end

    def disable_timeouts!
      self.lock_timeout_disabled = true
      self.statement_timeout_disabled = true
    end

    def lock_timeout(seconds)
      self.lock_timeout_override = seconds
    end

    def statement_timeout(seconds)
      self.statement_timeout_override = seconds
    end
  end
end
